com.singularsys.jep

## Interface OperatorTableI

- All Superinterfaces:
    JepComponent, java.io.Serializable
  All Known Implementing Classes:
    BigDecOperatorTable, BitwiseOperatorTable, EmptyOperatorTable, ExtendedOperatorSet, JavaOperatorTable, NullWrappedOperatorTable, OperatorTable, OperatorTable2, StandardOperatorTable, StandardOperatorTable2

      public interface OperatorTableI
      extends JepComponent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operator` | `getAdd()`
    `Operator` | `getAnd()`
    `Operator` | `getAssign()`
    `Operator` | `getCross()`
    `Operator` | `getDivide()`
    `Operator` | `getDot()`
    `Operator` | `getEle()`
    `Operator` | `getEQ()`
    `Operator` | `getGE()`
    `Operator` | `getGT()`
    `Operator` | `getLE()`
    `Operator` | `getList()`
    `Operator` | `getLT()`
    `Operator` | `getMod()`
    `Operator` | `getMultiply()`
    `Operator` | `getNE()`
    `Operator` | `getNop()`
    `Operator` | `getNot()`
    `java.util.Collection<Operator>` | `getOperators()`
    `Operator` | `getOperatorsByName(java.lang.String name)` Get the operator with a given name
    `java.util.List<Operator>` | `getOperatorsBySymbol(java.lang.String symbol)` Gets all the operators with a given symbol
    `Operator` | `getOr()`
    `Operator` | `getPower()`
    `Operator` | `getRange()`
    `Operator` | `getSubtract()`
    `Operator` | `getUDivide()` unary division i.e. 1/x or x^(-1) *
    `Operator` | `getUMinus()`
    `Operator` | `getUPlus()`

    - ### Methods inherited from interface com.singularsys.jep.JepComponent

      `getLightWeightInstance, init`

- - ### Method Detail

    - #### getOperatorsBySymbol

          java.util.List<Operator> getOperatorsBySymbol(java.lang.String symbol)

      Gets all the operators with a given symbol
      Parameters:
        `symbol` - symbol used for operator
      Returns:
        list of operators with a given symbol, empty list if none are found.

    - #### getOperatorsByName

          Operator getOperatorsByName(java.lang.String name)

      Get the operator with a given name
      Parameters:
        `name` - unique name of operator
      Returns:
        the operator or null if not found

    - #### getOperators

          java.util.Collection<Operator> getOperators()

    - #### getNop

          Operator getNop()

    - #### getAdd

          Operator getAdd()

    - #### getSubtract

          Operator getSubtract()

    - #### getUMinus

          Operator getUMinus()

    - #### getUPlus

          Operator getUPlus()

    - #### getMultiply

          Operator getMultiply()

    - #### getDivide

          Operator getDivide()

    - #### getMod

          Operator getMod()

    - #### getUDivide

          Operator getUDivide()

      unary division i.e. 1/x or x^(-1) *

    - #### getPower

          Operator getPower()

    - #### getGT

          Operator getGT()

    - #### getLT

          Operator getLT()

    - #### getLE

          Operator getLE()

    - #### getGE

          Operator getGE()

    - #### getNE

          Operator getNE()

    - #### getEQ

          Operator getEQ()

    - #### getAnd

          Operator getAnd()

    - #### getOr

          Operator getOr()

    - #### getNot

          Operator getNot()

    - #### getAssign

          Operator getAssign()

    - #### getDot

          Operator getDot()

    - #### getCross

          Operator getCross()

    - #### getList

          Operator getList()

    - #### getEle

          Operator getEle()

    - #### getRange

          Operator getRange()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep